## org.apache.mahout.cf.taste.similarity.precompute
Class SimilarItems

    java.lang.Object
      org.apache.mahout.cf.taste.similarity.precompute.SimilarItems

    public class SimilarItems

extends Object

Compact representation of all similar items for an item

Constructor Summary
`SimilarItems(long itemID, List<RecommendedItem> similarItems)`

Method Summary
`long` `getItemID()`
`Iterable<SimilarItem>` `getSimilarItems()`
`int` `numSimilarItems()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimilarItems

    public SimilarItems(long itemID,
                        List<RecommendedItem> similarItems)

Method Detail

### getItemID

    public long getItemID()

### numSimilarItems

    public int numSimilarItems()

### getSimilarItems

    public Iterable<SimilarItem> getSimilarItems()

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.